+ date
Mon Jul  8 23:24:34 UTC 2024
+ id
uid=0(root) gid=0(root) groups=0(root)
+ pwd
/build/popt
+ apt-get source --only-source popt=1.18-2
Reading package lists...
NOTICE: 'popt' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/debian/popt.git
Please use:
git clone https://salsa.debian.org/debian/popt.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 596 kB of source archives.
Get:1 http://deb.debian.org/debian bullseye/main popt 1.18-2 (dsc) [2034 B]
Get:2 http://deb.debian.org/debian bullseye/main popt 1.18-2 (tar) [581 kB]
Get:3 http://deb.debian.org/debian bullseye/main popt 1.18-2 (diff) [13.3 kB]
dpkg-source: info: extracting popt in popt-1.18
dpkg-source: info: unpacking popt_1.18.orig.tar.gz
dpkg-source: info: unpacking popt_1.18-2.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying 318833-incorrect-handling-of-leftovers-with-poptStuffArgs.patch
dpkg-source: info: applying 278402-manpage-typos.patch
dpkg-source: info: applying 356669-add-catalan-translation.patch
dpkg-source: info: applying autoreconf-libtool.patch
dpkg-source: info: applying autoreconf-gettext.patch
dpkg-source: info: applying fix-test1-lt.patch
Fetched 596 kB in 1s (1046 kB/s)
W: Download is performed unsandboxed as root as file 'popt_1.18-2.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ ls -la
total 600
drwxr-xr-x  3 root root   4096 Jul  8 23:24 .
drwxr-xr-x  3 root root   4096 Jul  8 23:24 ..
drwxr-xr-x 10 root root   4096 Jul  8 23:24 popt-1.18
-rw-r--r--  1 root root  13300 Nov  3  2020 popt_1.18-2.debian.tar.xz
-rw-r--r--  1 root root   2034 Nov  3  2020 popt_1.18-2.dsc
-rw-r--r--  1 root root 580569 Jun 26  2020 popt_1.18.orig.tar.gz
+ find . -maxdepth 1 -type f
+ sha256sum ./popt_1.18-2.dsc ./popt_1.18.orig.tar.gz ./popt_1.18-2.debian.tar.xz
2551b511fb966deaf48721b4ffbd873bfc14b89c45433dae7d491a3b9fcc756a  ./popt_1.18-2.dsc
5159bc03a20b28ce363aa96765f37df99ea4d8850b1ece17d1e6ad5c24fdc5d1  ./popt_1.18.orig.tar.gz
7cbfbe33bca30b5a834650a3fd6b506157fa9add377bae5a6f2efff2ac658ef0  ./popt_1.18-2.debian.tar.xz
+ find . -maxdepth 1 -name popt* -type d
+ cd ./popt-1.18
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source popt=1.18-2
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  autoconf automake autopoint autotools-dev bsdextrautils debhelper
  dh-autoreconf dh-strip-nondeterminism dwz gettext gettext-base groff-base
  intltool-debian libarchive-zip-perl libdebhelper-perl libelf1
  libfile-stripnondeterminism-perl libicu67 libpipeline1 libsigsegv2
  libsub-override-perl libtool libuchardet0 libxml2 m4 man-db po-debconf
0 upgraded, 27 newly installed, 0 to remove and 0 not upgraded.
Need to get 17.8 MB of archives.
After this operation, 60.6 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian bullseye/main amd64 bsdextrautils amd64 2.36.1-8+deb11u2 [146 kB]
Get:2 http://deb.debian.org/debian bullseye/main amd64 libuchardet0 amd64 0.0.7-1 [67.8 kB]
Get:3 http://deb.debian.org/debian bullseye/main amd64 groff-base amd64 1.22.4-6 [936 kB]
Get:4 http://deb.debian.org/debian bullseye/main amd64 libpipeline1 amd64 1.5.3-1 [34.3 kB]
Get:5 http://deb.debian.org/debian bullseye/main amd64 man-db amd64 2.9.4-2 [1354 kB]
Get:6 http://deb.debian.org/debian bullseye/main amd64 gettext-base amd64 0.21-4 [175 kB]
Get:7 http://deb.debian.org/debian bullseye/main amd64 libsigsegv2 amd64 2.13-1 [34.8 kB]
Get:8 http://deb.debian.org/debian bullseye/main amd64 m4 amd64 1.4.18-5 [204 kB]
Get:9 http://deb.debian.org/debian bullseye/main amd64 autoconf all 2.69-14 [313 kB]
Get:10 http://deb.debian.org/debian bullseye/main amd64 autotools-dev all 20180224.1+nmu1 [77.1 kB]
Get:11 http://deb.debian.org/debian bullseye/main amd64 automake all 1:1.16.3-2 [814 kB]
Get:12 http://deb.debian.org/debian bullseye/main amd64 autopoint all 0.21-4 [510 kB]
Get:13 http://deb.debian.org/debian bullseye/main amd64 libdebhelper-perl all 13.3.4 [189 kB]
Get:14 http://deb.debian.org/debian bullseye/main amd64 libtool all 2.4.6-15 [513 kB]
Get:15 http://deb.debian.org/debian bullseye/main amd64 dh-autoreconf all 20 [17.1 kB]
Get:16 http://deb.debian.org/debian bullseye/main amd64 libarchive-zip-perl all 1.68-1 [104 kB]
Get:17 http://deb.debian.org/debian bullseye/main amd64 libsub-override-perl all 0.09-2 [10.2 kB]
Get:18 http://deb.debian.org/debian bullseye/main amd64 libfile-stripnondeterminism-perl all 1.12.0-1 [26.3 kB]
Get:19 http://deb.debian.org/debian bullseye/main amd64 dh-strip-nondeterminism all 1.12.0-1 [15.4 kB]
Get:20 http://deb.debian.org/debian bullseye/main amd64 libelf1 amd64 0.183-1 [165 kB]
Get:21 http://deb.debian.org/debian bullseye/main amd64 dwz amd64 0.13+20210201-1 [175 kB]
Get:22 http://deb.debian.org/debian bullseye/main amd64 libicu67 amd64 67.1-7 [8622 kB]
Get:23 http://deb.debian.org/debian bullseye/main amd64 libxml2 amd64 2.9.10+dfsg-6.7+deb11u4 [693 kB]
Get:24 http://deb.debian.org/debian bullseye/main amd64 gettext amd64 0.21-4 [1311 kB]
Get:25 http://deb.debian.org/debian bullseye/main amd64 intltool-debian all 0.35.0+20060710.5 [26.8 kB]
Get:26 http://deb.debian.org/debian bullseye/main amd64 po-debconf all 1.0.21+nmu1 [248 kB]
Get:27 http://deb.debian.org/debian bullseye/main amd64 debhelper all 13.3.4 [1049 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 17.8 MB in 0s (75.8 MB/s)
Selecting previously unselected package bsdextrautils.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 16217 files and directories currently installed.)
Preparing to unpack .../00-bsdextrautils_2.36.1-8+deb11u2_amd64.deb ...
Unpacking bsdextrautils (2.36.1-8+deb11u2) ...
Selecting previously unselected package libuchardet0:amd64.
Preparing to unpack .../01-libuchardet0_0.0.7-1_amd64.deb ...
Unpacking libuchardet0:amd64 (0.0.7-1) ...
Selecting previously unselected package groff-base.
Preparing to unpack .../02-groff-base_1.22.4-6_amd64.deb ...
Unpacking groff-base (1.22.4-6) ...
Selecting previously unselected package libpipeline1:amd64.
Preparing to unpack .../03-libpipeline1_1.5.3-1_amd64.deb ...
Unpacking libpipeline1:amd64 (1.5.3-1) ...
Selecting previously unselected package man-db.
Preparing to unpack .../04-man-db_2.9.4-2_amd64.deb ...
Unpacking man-db (2.9.4-2) ...
Selecting previously unselected package gettext-base.
Preparing to unpack .../05-gettext-base_0.21-4_amd64.deb ...
Unpacking gettext-base (0.21-4) ...
Selecting previously unselected package libsigsegv2:amd64.
Preparing to unpack .../06-libsigsegv2_2.13-1_amd64.deb ...
Unpacking libsigsegv2:amd64 (2.13-1) ...
Selecting previously unselected package m4.
Preparing to unpack .../07-m4_1.4.18-5_amd64.deb ...
Unpacking m4 (1.4.18-5) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../08-autoconf_2.69-14_all.deb ...
Unpacking autoconf (2.69-14) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../09-autotools-dev_20180224.1+nmu1_all.deb ...
Unpacking autotools-dev (20180224.1+nmu1) ...
Selecting previously unselected package automake.
Preparing to unpack .../10-automake_1%3a1.16.3-2_all.deb ...
Unpacking automake (1:1.16.3-2) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../11-autopoint_0.21-4_all.deb ...
Unpacking autopoint (0.21-4) ...
Selecting previously unselected package libdebhelper-perl.
Preparing to unpack .../12-libdebhelper-perl_13.3.4_all.deb ...
Unpacking libdebhelper-perl (13.3.4) ...
Selecting previously unselected package libtool.
Preparing to unpack .../13-libtool_2.4.6-15_all.deb ...
Unpacking libtool (2.4.6-15) ...
Selecting previously unselected package dh-autoreconf.
Preparing to unpack .../14-dh-autoreconf_20_all.deb ...
Unpacking dh-autoreconf (20) ...
Selecting previously unselected package libarchive-zip-perl.
Preparing to unpack .../15-libarchive-zip-perl_1.68-1_all.deb ...
Unpacking libarchive-zip-perl (1.68-1) ...
Selecting previously unselected package libsub-override-perl.
Preparing to unpack .../16-libsub-override-perl_0.09-2_all.deb ...
Unpacking libsub-override-perl (0.09-2) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../17-libfile-stripnondeterminism-perl_1.12.0-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (1.12.0-1) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../18-dh-strip-nondeterminism_1.12.0-1_all.deb ...
Unpacking dh-strip-nondeterminism (1.12.0-1) ...
Selecting previously unselected package libelf1:amd64.
Preparing to unpack .../19-libelf1_0.183-1_amd64.deb ...
Unpacking libelf1:amd64 (0.183-1) ...
Selecting previously unselected package dwz.
Preparing to unpack .../20-dwz_0.13+20210201-1_amd64.deb ...
Unpacking dwz (0.13+20210201-1) ...
Selecting previously unselected package libicu67:amd64.
Preparing to unpack .../21-libicu67_67.1-7_amd64.deb ...
Unpacking libicu67:amd64 (67.1-7) ...
Selecting previously unselected package libxml2:amd64.
Preparing to unpack .../22-libxml2_2.9.10+dfsg-6.7+deb11u4_amd64.deb ...
Unpacking libxml2:amd64 (2.9.10+dfsg-6.7+deb11u4) ...
Selecting previously unselected package gettext.
Preparing to unpack .../23-gettext_0.21-4_amd64.deb ...
Unpacking gettext (0.21-4) ...
Selecting previously unselected package intltool-debian.
Preparing to unpack .../24-intltool-debian_0.35.0+20060710.5_all.deb ...
Unpacking intltool-debian (0.35.0+20060710.5) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../25-po-debconf_1.0.21+nmu1_all.deb ...
Unpacking po-debconf (1.0.21+nmu1) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../26-debhelper_13.3.4_all.deb ...
Unpacking debhelper (13.3.4) ...
Setting up libpipeline1:amd64 (1.5.3-1) ...
Setting up bsdextrautils (2.36.1-8+deb11u2) ...
update-alternatives: using /usr/bin/write.ul to provide /usr/bin/write (write) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/write.1.gz because associated file /usr/share/man/man1/write.ul.1.gz (of link group write) doesn't exist
Setting up libicu67:amd64 (67.1-7) ...
Setting up libarchive-zip-perl (1.68-1) ...
Setting up libdebhelper-perl (13.3.4) ...
Setting up gettext-base (0.21-4) ...
Setting up autotools-dev (20180224.1+nmu1) ...
Setting up libsigsegv2:amd64 (2.13-1) ...
Setting up autopoint (0.21-4) ...
Setting up libuchardet0:amd64 (0.0.7-1) ...
Setting up libsub-override-perl (0.09-2) ...
Setting up libelf1:amd64 (0.183-1) ...
Setting up libxml2:amd64 (2.9.10+dfsg-6.7+deb11u4) ...
Setting up libfile-stripnondeterminism-perl (1.12.0-1) ...
Setting up gettext (0.21-4) ...
Setting up libtool (2.4.6-15) ...
Setting up m4 (1.4.18-5) ...
Setting up intltool-debian (0.35.0+20060710.5) ...
Setting up autoconf (2.69-14) ...
Setting up dh-strip-nondeterminism (1.12.0-1) ...
Setting up dwz (0.13+20210201-1) ...
Setting up groff-base (1.22.4-6) ...
Setting up automake (1:1.16.3-2) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/automake.1.gz because associated file /usr/share/man/man1/automake-1.16.1.gz (of link group automake) doesn't exist
update-alternatives: warning: skip creation of /usr/share/man/man1/aclocal.1.gz because associated file /usr/share/man/man1/aclocal-1.16.1.gz (of link group automake) doesn't exist
Setting up po-debconf (1.0.21+nmu1) ...
Setting up man-db (2.9.4-2) ...
Building database of manual pages ...
Setting up dh-autoreconf (20) ...
Setting up debhelper (13.3.4) ...
Processing triggers for libc-bin (2.31-13+deb11u10) ...
+ env DEB_BUILD_OPTIONS=noautodbgsym nocheck eatmydata dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package popt
dpkg-buildpackage: info: source version 1.18-2
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Michael Jeanson <mjeanson@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean
   dh_clean
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building popt using existing ./popt_1.18.orig.tar.gz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: building popt in popt_1.18-2.debian.tar.xz
dpkg-source: info: building popt in popt_1.18-2.dsc
 debian/rules binary
dh binary
   dh_update_autotools_config
   dh_autoreconf
autopoint: using AM_GNU_GETTEXT_REQUIRE_VERSION instead of AM_GNU_GETTEXT_VERSION
Copying file ABOUT-NLS
Copying file build-aux/config.rpath
Copying file m4/gettext.m4
Copying file m4/host-cpu-c-abi.m4
Copying file m4/iconv.m4
Copying file m4/intlmacosx.m4
Copying file m4/lib-ld.m4
Copying file m4/lib-link.m4
Copying file m4/lib-prefix.m4
Copying file m4/nls.m4
Copying file m4/po.m4
Copying file m4/progtest.m4
Copying file po/Makefile.in.in
Copying file po/Makevars.template
Copying file po/Rules-quot
Copying file po/en@boldquot.header
Copying file po/en@quot.header
Copying file po/insert-header.sin
Copying file po/remove-potcdate.sin
Use of uninitialized value $args[0] in split at /usr/bin/autoreconf line 495, <GEN3> line 7.
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, 'build-aux'.
libtoolize: copying file 'build-aux/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
configure.ac:11: installing 'build-aux/compile'
configure.ac:9: installing 'build-aux/missing'
src/Makefile.am: installing 'build-aux/depcomp'
   dh_auto_configure
	./configure --build=x86_64-linux-gnu --prefix=/usr --includedir=\${prefix}/include --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=\${prefix}/lib/x86_64-linux-gnu --runstatedir=/run --disable-maintainer-mode --disable-dependency-tracking
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... none
checking for gcc option to accept ISO C99... none needed
checking for gcc option to accept ISO Standard C... (cached) none needed
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking whether gcc understands -c and -o together... (cached) yes
checking dependency style of gcc... (cached) none
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for ar... ar
checking the archiver (ar) interface... ar
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for mt... no
checking if : is a manifest tool... no
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking fnmatch.h usability... yes
checking fnmatch.h presence... yes
checking for fnmatch.h... yes
checking glob.h usability... yes
checking glob.h presence... yes
checking for glob.h... yes
checking langinfo.h usability... yes
checking langinfo.h presence... yes
checking for langinfo.h... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking mcheck.h usability... yes
checking mcheck.h presence... yes
checking for mcheck.h... yes
checking stdalign.h usability... yes
checking stdalign.h presence... yes
checking for stdalign.h... yes
checking for library containing setreuid... none required
checking for getuid... yes
checking for geteuid... yes
checking for iconv... yes
checking for mtrace... yes
checking for secure_getenv... yes
checking for __secure_getenv... no
checking for setreuid... yes
checking for setuid... yes
checking for stpcpy... yes
checking for strerror... yes
checking for vasprintf... yes
checking for srandom... yes
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for ld... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking for shared library run path origin... done
checking 32-bit host C ABI... no
checking for ELF binary format... yes
checking for the common suffixes of directories in the library search path... lib,lib,lib
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyPreferredLanguages... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for iconv... yes
checking for working iconv... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating po/Makefile.in
config.status: creating Doxyfile
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating popt.pc
config.status: creating tests/test-poptrc
config.status: creating tests/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
   dh_auto_build
	make -j4
make[1]: Entering directory '/build/popt/popt-1.18'
make  all-recursive
make[2]: Entering directory '/build/popt/popt-1.18'
Making all in src
make[3]: Entering directory '/build/popt/popt-1.18/src'
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -I. -I.. -DPOPT_SYSCONFDIR="\"/etc\"" -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c -o popt.lo popt.c
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -I. -I.. -DPOPT_SYSCONFDIR="\"/etc\"" -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c -o poptparse.lo poptparse.c
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -I. -I.. -DPOPT_SYSCONFDIR="\"/etc\"" -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c -o poptconfig.lo poptconfig.c
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -I. -I.. -DPOPT_SYSCONFDIR="\"/etc\"" -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c -o popthelp.lo popthelp.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c popt.c  -fPIC -DPIC -o .libs/popt.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c poptparse.c  -fPIC -DPIC -o .libs/poptparse.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c poptconfig.c  -fPIC -DPIC -o .libs/poptconfig.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c popthelp.c  -fPIC -DPIC -o .libs/popthelp.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c poptparse.c -o poptparse.o >/dev/null 2>&1
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c poptconfig.c -o poptconfig.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -I. -I.. -DPOPT_SYSCONFDIR="\"/etc\"" -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c -o poptint.lo poptint.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c poptint.c  -fPIC -DPIC -o .libs/poptint.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c popthelp.c -o popthelp.o >/dev/null 2>&1
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c poptint.c -o poptint.o >/dev/null 2>&1
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DPOPT_SYSCONFDIR=\"/etc\" -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c popt.c -o popt.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=link gcc  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -no-undefined -version-info 0:1:0 -Wl,--version-script=../src/libpopt.vers -Wl,-z,relro -Wl,-z,now -o libpopt.la -rpath /usr/lib/x86_64-linux-gnu popt.lo poptparse.lo poptconfig.lo popthelp.lo poptint.lo  
libtool: link: gcc -shared  -fPIC -DPIC  .libs/popt.o .libs/poptparse.o .libs/poptconfig.o .libs/popthelp.o .libs/poptint.o    -g -O2 -fstack-protector-strong -Wl,--version-script=../src/libpopt.vers -Wl,-z -Wl,relro -Wl,-z -Wl,now   -Wl,-soname -Wl,libpopt.so.0 -o .libs/libpopt.so.0.0.1
libtool: link: (cd ".libs" && rm -f "libpopt.so.0" && ln -s "libpopt.so.0.0.1" "libpopt.so.0")
libtool: link: (cd ".libs" && rm -f "libpopt.so" && ln -s "libpopt.so.0.0.1" "libpopt.so")
libtool: link: ar cr .libs/libpopt.a  popt.o poptparse.o poptconfig.o popthelp.o poptint.o
libtool: link: ranlib .libs/libpopt.a
libtool: link: ( cd ".libs" && rm -f "libpopt.la" && ln -s "../libpopt.la" "libpopt.la" )
make[3]: Leaving directory '/build/popt/popt-1.18/src'
Making all in po
make[3]: Entering directory '/build/popt/popt-1.18/po'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/build/popt/popt-1.18/po'
Making all in tests
make[3]: Entering directory '/build/popt/popt-1.18/tests'
gcc -DHAVE_CONFIG_H -I. -I..  -I. -I../src -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c -o test1.o test1.c
gcc -DHAVE_CONFIG_H -I. -I..  -I. -I../src -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c -o test2.o test2.c
gcc -DHAVE_CONFIG_H -I. -I..  -I. -I../src -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -c -o tdict.o tdict.c
/bin/bash ../libtool  --tag=CC   --mode=link gcc  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-z,relro -Wl,-z,now -o test1 test1.o ../src/libpopt.la 
/bin/bash ../libtool  --tag=CC   --mode=link gcc  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-z,relro -Wl,-z,now -o test2 test2.o ../src/libpopt.la 
/bin/bash ../libtool  --tag=CC   --mode=link gcc  -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-z,relro -Wl,-z,now -o tdict tdict.o ../src/libpopt.la 
libtool: link: gcc -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z -Wl,relro -Wl,-z -Wl,now -o .libs/test2 test2.o  ../src/.libs/libpopt.so
libtool: link: gcc -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z -Wl,relro -Wl,-z -Wl,now -o .libs/test1 test1.o  ../src/.libs/libpopt.so
libtool: link: gcc -g -O2 -ffile-prefix-map=/build/popt/popt-1.18=. -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z -Wl,relro -Wl,-z -Wl,now -o .libs/tdict tdict.o  ../src/.libs/libpopt.so
make[3]: Leaving directory '/build/popt/popt-1.18/tests'
make[3]: Entering directory '/build/popt/popt-1.18'
make[3]: Leaving directory '/build/popt/popt-1.18'
make[2]: Leaving directory '/build/popt/popt-1.18'
make[1]: Leaving directory '/build/popt/popt-1.18'
   dh_auto_test
   create-stamp debian/debhelper-build-stamp
   dh_prep
   dh_auto_install
	make -j1 install DESTDIR=/build/popt/popt-1.18/debian/tmp AM_UPDATE_INFO_DIR=no
make[1]: Entering directory '/build/popt/popt-1.18'
make  install-recursive
make[2]: Entering directory '/build/popt/popt-1.18'
Making install in src
make[3]: Entering directory '/build/popt/popt-1.18/src'
make[4]: Entering directory '/build/popt/popt-1.18/src'
 /bin/mkdir -p '/build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu'
 /bin/bash ../libtool   --mode=install /usr/bin/install -c   libpopt.la '/build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu'
libtool: install: /usr/bin/install -c .libs/libpopt.so.0.0.1 /build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu/libpopt.so.0.0.1
libtool: install: (cd /build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu && { ln -s -f libpopt.so.0.0.1 libpopt.so.0 || { rm -f libpopt.so.0 && ln -s libpopt.so.0.0.1 libpopt.so.0; }; })
libtool: install: (cd /build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu && { ln -s -f libpopt.so.0.0.1 libpopt.so || { rm -f libpopt.so && ln -s libpopt.so.0.0.1 libpopt.so; }; })
libtool: install: /usr/bin/install -c .libs/libpopt.lai /build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu/libpopt.la
libtool: install: /usr/bin/install -c .libs/libpopt.a /build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu/libpopt.a
libtool: install: chmod 644 /build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu/libpopt.a
libtool: install: ranlib /build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu/libpopt.a
libtool: warning: remember to run 'libtool --finish /usr/lib/x86_64-linux-gnu'
 /bin/mkdir -p '/build/popt/popt-1.18/debian/tmp/usr/include'
 /usr/bin/install -c -m 644 popt.h '/build/popt/popt-1.18/debian/tmp/usr/include'
make[4]: Leaving directory '/build/popt/popt-1.18/src'
make[3]: Leaving directory '/build/popt/popt-1.18/src'
Making install in po
make[3]: Entering directory '/build/popt/popt-1.18/po'
/usr/bin/install: cannot stat './ca.gmo': No such file or directory
installing ./ca.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/ca/LC_MESSAGES/popt.mo
installing cs.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/cs/LC_MESSAGES/popt.mo
installing da.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/da/LC_MESSAGES/popt.mo
installing de.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/de/LC_MESSAGES/popt.mo
installing eo.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/eo/LC_MESSAGES/popt.mo
installing es.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/es/LC_MESSAGES/popt.mo
installing fi.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/fi/LC_MESSAGES/popt.mo
installing fr.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/fr/LC_MESSAGES/popt.mo
installing ga.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/ga/LC_MESSAGES/popt.mo
installing gl.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/gl/LC_MESSAGES/popt.mo
installing hu.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/hu/LC_MESSAGES/popt.mo
installing id.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/id/LC_MESSAGES/popt.mo
installing is.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/is/LC_MESSAGES/popt.mo
installing it.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/it/LC_MESSAGES/popt.mo
installing ja.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/ja/LC_MESSAGES/popt.mo
installing ko.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/ko/LC_MESSAGES/popt.mo
installing lv.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/lv/LC_MESSAGES/popt.mo
installing nb.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/nb/LC_MESSAGES/popt.mo
installing nl.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/nl/LC_MESSAGES/popt.mo
installing pl.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/pl/LC_MESSAGES/popt.mo
installing pt.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/pt/LC_MESSAGES/popt.mo
installing ro.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/ro/LC_MESSAGES/popt.mo
installing ru.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/ru/LC_MESSAGES/popt.mo
installing sk.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/sk/LC_MESSAGES/popt.mo
installing sl.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/sl/LC_MESSAGES/popt.mo
installing sv.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/sv/LC_MESSAGES/popt.mo
installing th.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/th/LC_MESSAGES/popt.mo
installing tr.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/tr/LC_MESSAGES/popt.mo
installing uk.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/uk/LC_MESSAGES/popt.mo
installing vi.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/vi/LC_MESSAGES/popt.mo
installing wa.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/wa/LC_MESSAGES/popt.mo
installing zh_TW.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/zh_TW/LC_MESSAGES/popt.mo
installing zh_CN.gmo as /build/popt/popt-1.18/debian/tmp/usr/share/locale/zh_CN/LC_MESSAGES/popt.mo
if test "popt" = "gettext-tools"; then \
  /bin/mkdir -p /build/popt/popt-1.18/debian/tmp/usr/share/gettext/po; \
  for file in Makefile.in.in remove-potcdate.sin quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot   Makevars.template; do \
    /usr/bin/install -c -m 644 ./$file \
		    /build/popt/popt-1.18/debian/tmp/usr/share/gettext/po/$file; \
  done; \
  for file in Makevars; do \
    rm -f /build/popt/popt-1.18/debian/tmp/usr/share/gettext/po/$file; \
  done; \
else \
  : ; \
fi
make[3]: Leaving directory '/build/popt/popt-1.18/po'
Making install in tests
make[3]: Entering directory '/build/popt/popt-1.18/tests'
make[4]: Entering directory '/build/popt/popt-1.18/tests'
make[4]: Nothing to be done for 'install-exec-am'.
make[4]: Nothing to be done for 'install-data-am'.
make[4]: Leaving directory '/build/popt/popt-1.18/tests'
make[3]: Leaving directory '/build/popt/popt-1.18/tests'
make[3]: Entering directory '/build/popt/popt-1.18'
make[4]: Entering directory '/build/popt/popt-1.18'
make[4]: Nothing to be done for 'install-exec-am'.
 /bin/mkdir -p '/build/popt/popt-1.18/debian/tmp/usr/share/man/man3'
 /usr/bin/install -c -m 644 popt.3 '/build/popt/popt-1.18/debian/tmp/usr/share/man/man3'
 /bin/mkdir -p '/build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig'
 /usr/bin/install -c -m 644 popt.pc '/build/popt/popt-1.18/debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig'
make[4]: Leaving directory '/build/popt/popt-1.18'
make[3]: Leaving directory '/build/popt/popt-1.18'
make[2]: Leaving directory '/build/popt/popt-1.18'
make[1]: Leaving directory '/build/popt/popt-1.18'
   dh_install
   dh_installdocs
   dh_installchangelogs
   dh_installexamples
   dh_installman
   dh_perl
   dh_link
   dh_strip_nondeterminism
	Normalized debian/libpopt0/usr/share/locale/ga/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/cs/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/es/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/sl/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/ro/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/wa/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/vi/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/da/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/is/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/de/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/ru/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/lv/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/zh_TW/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/ja/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/gl/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/eo/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/pt/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/uk/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/fr/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/nl/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/th/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/id/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/pl/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/sv/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/ko/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/zh_CN/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/fi/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/it/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/nb/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/hu/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/sk/LC_MESSAGES/popt.mo
	Normalized debian/libpopt0/usr/share/locale/tr/LC_MESSAGES/popt.mo
   dh_compress
   dh_fixperms
   dh_missing
dh_missing: warning: usr/lib/x86_64-linux-gnu/libpopt.la exists in debian/tmp but is not installed to anywhere 
	The following debhelper tools have reported what they installed (with files per package)
	 * dh_install: libpopt-dev (4), libpopt0 (34), libpopt0-udeb (2)
	 * dh_installdocs: libpopt-dev (0), libpopt0 (1)
	 * dh_installexamples: libpopt-dev (3), libpopt0 (0)
	 * dh_installman: libpopt-dev (1), libpopt0 (0)
	If the missing files are installed by another tool, please file a bug against it.
	When filing the report, if the tool is not part of debhelper itself, please reference the
	"Logging helpers and dh_missing" section from the "PROGRAMMING" guide for debhelper (10.6.3+).
	  (in the debhelper package: /usr/share/doc/debhelper/PROGRAMMING.gz)
	Be sure to test with dpkg-buildpackage -A/-B as the results may vary when only a subset is built
	If the omission is intentional or no other helper can take care of this consider adding the
	paths to debian/not-installed.

	Remember to be careful with paths containing "x86_64-linux-gnu", where you might need to
	use a wildcard or (assuming compat 13+) e.g. ${DEB_HOST_MULTIARCH} in debian/not-installed
	to ensure it works on all architectures (see #961104).
   dh_dwz
   dh_strip
   debian/rules override_dh_makeshlibs
make[1]: Entering directory '/build/popt/popt-1.18'
dh_makeshlibs -V --add-udeb=libpopt0-udeb
make[1]: Leaving directory '/build/popt/popt-1.18'
   dh_shlibdeps
   dh_installdeb
   dh_gencontrol
   dh_md5sums
   dh_builddeb
dpkg-deb: building package 'libpopt-dev' in '../libpopt-dev_1.18-2_amd64.deb'.
dpkg-deb: building package 'libpopt0' in '../libpopt0_1.18-2_amd64.deb'.
dpkg-deb: building package 'libpopt0-udeb' in 'debian/.debhelper/scratch-space/build-libpopt0-udeb/libpopt0-udeb_1.18-2_amd64.deb'.
	Renaming libpopt0-udeb_1.18-2_amd64.deb to libpopt0-udeb_1.18-2_amd64.udeb
 dpkg-genbuildinfo
 dpkg-genchanges  >../popt_1.18-2_amd64.changes
dpkg-genchanges: info: not including original source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: binary and diff upload (original source NOT included)
+ date
Mon Jul  8 23:24:52 UTC 2024
+ cd ..
+ ls libpopt-dev_1.18-2_amd64.deb libpopt0_1.18-2_amd64.deb
+ sed -e s,_.*,,
+ apt-cache show libpopt-dev=1.18-2
+ grep ^Version: 
+ sed -e s,^Version: ,,
+ binver=1.18-2
+ binnmuver=1.18-2
+ echo 1.18-2
+ sed s,^[0-9]\+:,,
+ binnmuver=1.18-2
+ echo 1.18-2
+ sed s,^[0-9]\+:,,
+ srcver=1.18-2
+ test -f libpopt-dev_1.18-2_amd64.deb
+ apt-cache show libpopt-dev=1.18-2
+ grep -e ^Filename:  -e ^SHA256: 
+ sed -z s,.*Filename: .*/\(.*\)SHA256: \([0-9a-f]\{64\}\).*,\2  \1,g
+ apt-cache show libpopt0=1.18-2
+ grep ^Version: 
+ sed -e s,^Version: ,,
+ binver=1.18-2
+ binnmuver=1.18-2
+ echo 1.18-2
+ sed s,^[0-9]\+:,,
+ binnmuver=1.18-2
+ echo 1.18-2
+ sed s,^[0-9]\+:,,
+ srcver=1.18-2
+ test -f libpopt0_1.18-2_amd64.deb
+ apt-cache show libpopt0=1.18-2
+ grep -e ^Filename:  -e ^SHA256: 
+ sed -z s,.*Filename: .*/\(.*\)SHA256: \([0-9a-f]\{64\}\).*,\2  \1,g
+ ls -la
total 748
drwxr-xr-x  3 root root   4096 Jul  8 23:24 .
drwxr-xr-x  3 root root   4096 Jul  8 23:24 ..
-rw-r--r--  1 root root    187 Jul  8 23:24 SHA256SUMS
-rw-r--r--  1 root root  55112 Jul  8 23:24 libpopt-dev_1.18-2_amd64.deb
-rw-r--r--  1 root root  21576 Jul  8 23:24 libpopt0-udeb_1.18-2_amd64.udeb
-rw-r--r--  1 root root  49580 Jul  8 23:24 libpopt0_1.18-2_amd64.deb
drwxr-xr-x 11 root root   4096 Jul  8 23:24 popt-1.18
-rw-r--r--  1 root root  13300 Jul  8 23:24 popt_1.18-2.debian.tar.xz
-rw-r--r--  1 root root   1122 Jul  8 23:24 popt_1.18-2.dsc
-rw-r--r--  1 root root   5615 Jul  8 23:24 popt_1.18-2_amd64.buildinfo
-rw-r--r--  1 root root   2415 Jul  8 23:24 popt_1.18-2_amd64.changes
-rw-r--r--  1 root root 580569 Jun 26  2020 popt_1.18.orig.tar.gz
+ find . -maxdepth 1 -type f
+ sha256sum ./libpopt0-udeb_1.18-2_amd64.udeb ./libpopt-dev_1.18-2_amd64.deb ./popt_1.18-2_amd64.buildinfo ./libpopt0_1.18-2_amd64.deb ./popt_1.18-2.dsc ./popt_1.18.orig.tar.gz ./popt_1.18-2.debian.tar.xz ./popt_1.18-2_amd64.changes ./SHA256SUMS
698853d4a7cd81732f5539cda72f9d423a9bf2552401006d6752a661231bc77a  ./libpopt0-udeb_1.18-2_amd64.udeb
745258a5bd54dc17e49e5becc47b1780f9358a84f54726c2b2036fd65f1ef131  ./libpopt-dev_1.18-2_amd64.deb
18e769b6bac9f799907635ab82c3eef9558cd99650ae7051f55f13a3b0549c02  ./popt_1.18-2_amd64.buildinfo
92ad56bface08f54c1d29f8b95e49d7483d49239ff380f133684b05a026df354  ./libpopt0_1.18-2_amd64.deb
08bfdf645107b5096e728f48c89595a6cb46587076a47c898729cde4aac06578  ./popt_1.18-2.dsc
5159bc03a20b28ce363aa96765f37df99ea4d8850b1ece17d1e6ad5c24fdc5d1  ./popt_1.18.orig.tar.gz
7cbfbe33bca30b5a834650a3fd6b506157fa9add377bae5a6f2efff2ac658ef0  ./popt_1.18-2.debian.tar.xz
33877f500774bc29e4a24d0ef5280ed0ccaf058b5d8611d994585e8f476fef57  ./popt_1.18-2_amd64.changes
a3d5501663f026164e558aebed5367909c2b5b7b31a1677db9555dd4e9dec708  ./SHA256SUMS
+ tail -v -n+0 SHA256SUMS
==> SHA256SUMS <==
745258a5bd54dc17e49e5becc47b1780f9358a84f54726c2b2036fd65f1ef131  libpopt-dev_1.18-2_amd64.deb
2f9fca8afbc5a18211ad46fa5f5df323662ba4d5212fa36bfc30dd551ae86b28  libpopt0_1.18-2_amd64.deb
+ sha256sum -c SHA256SUMS
libpopt-dev_1.18-2_amd64.deb: OK
libpopt0_1.18-2_amd64.deb: FAILED
sha256sum: WARNING: 1 computed checksum did NOT match
